function submitClient(id, secret, url, name) {

	// Register the client with the Ajax end-point (Part II of Mule config)
	var request = "{\"id\":" + 0 + ",\"url\":\"" + url + "\"" + ",\"name\":\""
			+ name + "\"}";
	mule.rpc("/submitClient", request, processResponse);
}

function authenticate() {

	// Direct the user to the OAuth provider authentication form (Part I of Mule
	// config)
	newwindow = window.open(dojo.byId("authPageURL").value, 'Authenticate',
			'height=400,width=750');
	newwindow.focus();
}

function access() {

	// Access the protected URL with a an OAuth token (Part III of Mule config)
	var url = dojo.byId("protURL").value + "?access_token="
			+ dojo.byId("tokenId").value;
	newwindow = window.open(url, 'Access', 'height=400,width=750');

	if (window.focus) {
		newwindow.focus()
	}
}

function processResponse(message) {

	// If this is the response to the client registration phase, then retrieve
	// the client ID from the HTTP response and capture it for the
	// authentication and the access phases
	if ((message.data.id != "") || (message.data.id != null)) {
		dojo.byId("clientID").value = message.data.id;
		dojo.byId("s2ClientId").value = message.data.id;

		dojo.byId("authPageURL").value = "http://localhost:9999/login?response_type=token&client_id="
				+ message.data.id + "&redirect_uri=" + message.data.url;
	}
}
